Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts
Class PortletServletRequestDispatcher

    java.lang.Object
      org.apache.portals.bridges.struts.PortletServletRequestDispatcher

All Implemented Interfaces:
  javax.servlet.RequestDispatcher

public class PortletServletRequestDispatcher
extends Object
implements javax.servlet.RequestDispatcher

PortletServletRequestDispatcher

Version:
  $Id: PortletServletRequestDispatcher.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma

Field Summary
`private javax.servlet.RequestDispatcher` | `dispatcher`
`private static org.apache.commons.logging.Log` | `log`
`private boolean` | `named`
`private String` | `path`

Constructor Summary
`PortletServletRequestDispatcher(javax.servlet.RequestDispatcher dispatcher, String path, boolean named)`

Method Summary
`void` | `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`void` | `include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`private void` | `invoke(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, boolean include)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### dispatcher

    private javax.servlet.RequestDispatcher dispatcher

### path

    private String path

### named

    private boolean named

Constructor Detail

### PortletServletRequestDispatcher

    public PortletServletRequestDispatcher(javax.servlet.RequestDispatcher dispatcher,
                                           String path,
                                           boolean named)

Method Detail

### invoke

    private void invoke(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response,
                        boolean include)
                 throws javax.servlet.ServletException,
                        IOException

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### forward

    public void forward(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

  Specified by:
    `forward` in interface `javax.servlet.RequestDispatcher`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### include

    public void include(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

  Specified by:
    `include` in interface `javax.servlet.RequestDispatcher`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.